#!/bin/bash

# Author: Fabian Steiner, <info@fabis-site.net>
# install script for the multiseat package

BUILDIR="build"
FILESDIR="files"


if [[ $UID -ne 0 ]]; then
    echo "This setup script must be run as root."
    exit 1
fi

echo "Checking for dependencies ..."
if ! which lspci 2> /dev/null ; then
    echo "Missing dependency: lspci (containing to package pciutils)"
    exit 1
fi

if [[ -d $BUILDDIR ]] ; then
    echo "Removing existing build dir ..."
    rm -r $BUILDDIR
fi

echo "Copying necessary files ..."
cp $FILESDIR/xorg.conf-template-static /etc/X11/xorg.conf-template-static
cp $FILESDIR/xorg.conf-template-seat /etc/X11/xorg.conf-template-seat
chmod 644 /etc/X11/xorg.conf-template-static
chmod 644 /etc/X11/xorg.conf-template-seat

echo "Installing python module \"multiseat\" using distutils"
/usr/bin/env python module-setup.py install

echo "Copying binary multiseat-configurator to /usr/sbin ..."
cp multiseat/configurator.py /usr/sbin/multiseat-configurator
chmod 755 /usr/sbin/multiseat-configurator

#echo "Copying binary udev-helper to /usr/sbin ..."
#cp multiseat/udev.py /usr/sbin/udev-helper
#chmod 755 /usr/sbin/udev-helper

#echo "Creating necessary symlinks ..."
#if [[ -e /etc/X11/gdm/PostLogin/Default ]]; then
#    rm /etc/X11/gdm/PostLogin/Default
#fi
#ln -s /usr/sbin/udev-helper /etc/X11/gdm/PostLogin/Default

echo "Finished :-)"

exit 0
